package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.*;
import com.muchinfo.mtp3pojos.vo.tradingmarket.QuoteSourceGroupRunStepParam;
import com.muchinfo.mtp3pojos.vo.tradingmarket.TradingGroupSetResult;
import com.muchinfo.mtp3pojos.vo.tradingmarket.TradingMarketSetGroupConfigParam;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface ITradingMarketSetService {
    PageResult<Summertimegroup> querysummertimegroup(Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult summertimegroupAdd(Summertimegroup param, HttpServletRequest request);

    AjaxResult deleteGroup(Long autoId, HttpServletRequest request);

    PageResult<Summertimegroupconfig> queryConfig(TradingMarketSetGroupConfigParam param, HttpServletRequest request);

    AjaxResult summertimegroupConfigAdd(Summertimegroupconfig param, HttpServletRequest request);

    AjaxResult deleteGroupConfig(Long groupId, Integer summeryear, HttpServletRequest request);

    PageResult<Quotesourcegroup> quoteSourceGroup(Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult<Summertimegroup> queryAllSummerTimeGroup(HttpServletRequest request);

    AjaxResult quoteSourceGroupAdd(Quotesourcegroup param, HttpServletRequest request);

    AjaxResult quoteSourceGroupDelete(Long autoId, HttpServletRequest request);

    PageResult<Externalexchange> externalexchange(Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult externalexchangeadd(Externalexchange param, HttpServletRequest request);

    AjaxResult externalexchangedel(Long autoId, HttpServletRequest request);

    AjaxResult<Quotesourcegroup> quoteSourceGroupAll(HttpServletRequest request);

    PageResult<TradingGroupSetResult> quoteSourceGroupRunStep(Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult quotecopy(HttpServletRequest request, Long source, Long target);

    AjaxResult<Quotesourcegroup> quoteSourceGroupRunStepDetail(Long autoId, HttpServletRequest request);

    AjaxResult editSave(HttpServletRequest request, QuoteSourceGroupRunStepParam param);
}
